package io.renren.modules.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import io.renren.common.utils.PageUtils;
import io.renren.modules.sys.entity.algs.Algorithm;
import io.renren.modules.sys.entity.algs.AlgorithmModel;
import io.renren.modules.sys.entity.algs.FileTest;

import java.util.Map;

/**
 * @Author: Ivan Q
 * @Date: 2021/7/12 9:52
 */
public interface FileTestService extends IService<FileTest> {
    PageUtils queryPageOnUse(Map<String, Object> params);

    void deleteBatch(Long[] tmpIds);

    Long querycategoryId(Long tmpId);

    void update(FileTest alg);

    FileTest selectByPrimaryKey(Long fileid);
}
